Class CrossConnectsImpl
- All Implemented Interfaces:
CrossConnects
CrossConnects over the shared FabricBeta apiParams area.
Beta: Fabric v4 4.34.0 (spec read 2026-11-11).
Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(CreateCrossConnect request) Create Cross Connect:POST /fabric/v4/crossConnects(operationcreateCrossConnect).createDiverse(DiverseCrossConnectRequest request) Create Diverse Cross Connect:POST /fabric/v4/crossConnects/bulk(operationcreateDiverseCrossConnect).Get Cross Connect Action by Action ID:GET /fabric/v4/crossConnects/{crossConnectId}/actions/{actionId}(operationgetCrossConnectActionByUuid).getAttachments(String crossConnectId) Get Cross Connect Attachments:GET /fabric/v4/crossConnects/{crossConnectId}/attachments(operationgetCrossConnectAttachmentsByUuid).Get Cross Connect:GET /fabric/v4/crossConnects/{crossConnectId}(operationgetCrossConnectByUuid).getSchedules(String crossConnectId) Get Cross Connect Schedules:GET /fabric/v4/crossConnects/{crossConnectId}/schedules(operationgetCrossConnectSchedulesByUuid).getServices(String crossConnectId) Get Cross Connect Services:GET /fabric/v4/crossConnects/{crossConnectId}/services(operationgetCrossConnectServicesByUuid).Get Cross Connect Notes:GET /fabric/v4/crossConnects/{crossConnectId}/notes(operationgetCrossConnectNotesByUuid).performAction(String crossConnectId, CrossConnectActionRequest request) Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions(operationperformCrossConnectAction).search()Search Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).search(FilterPropertyList filter) Search Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).search(FilterPropertyList filter, SortPropertyList sort) Search Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).searchActions(String crossConnectId) Search Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).searchActions(String crossConnectId, FilterPropertyList filter) Search Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).searchActions(String crossConnectId, FilterPropertyList filter, SortPropertyList sort) Search Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).Search Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).searchSchedules(FilterPropertyList filter) Search Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).searchSchedules(FilterPropertyList filter, SortPropertyList sort) Search Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).
-
Constructor Details
-
CrossConnectsImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:CrossConnectsCreate Cross Connect:POST /fabric/v4/crossConnects(operationcreateCrossConnect).The API provides capability to create a new Cross Connect.
- Specified by:
createin interfaceCrossConnects- Parameters:
request- theCreateCrossConnectrequest body- Returns:
- the
CrossConnectResponsethe API returns
-
createDiverse
Description copied from interface:CrossConnectsCreate Diverse Cross Connect:POST /fabric/v4/crossConnects/bulk(operationcreateDiverseCrossConnect).The API provides capability to create several Cross Connects in a single order - a diverse pair where the PRIMARY and the SECONDARY Cross Connect are placed at the same time, or multiple Cross Connects by sending one entry per Cross Connect.
Unwraps the
CrossConnectDiversedataenvelope (the spec documents no paging for it).- Specified by:
createDiversein interfaceCrossConnects- Parameters:
request- theDiverseCrossConnectRequestrequest body- Returns:
- the
CrossConnectResponseentries (empty when none)
-
search
public PaginatedFilteredList<CrossConnectResponse> search(FilterPropertyList filter, SortPropertyList sort) Description copied from interface:CrossConnectsSearch Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).The API provides capability to get list of user's Cross Connects using search criteria, including optional filtering, pagination and sorting.
Filter properties named by the spec:
/aSide/demarcationPoint/patchPanelId,/aSide/demarcationPoint/patchPanelPortA,/aSide/demarcationPoint/patchPanelPortB,/aSide/location/ibxCode,/account/accountNumber,/bmmrType,/changeLog/createdDateTime,/changeLog/updatedDateTime,/circuitId,/name,/order/customerReferenceId,/order/orderNumber,/redundancy/group,/redundancy/priority,/serialNumber,/state,/type,/uuid,/zSide/demarcationPoint/patchPanelId,/zSide/demarcationPoint/patchPanelPortA,/zSide/demarcationPoint/patchPanelPortB,/zSide/loa/uuid,/zSide/location/ibxCode.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name,/state.- Specified by:
searchin interfaceCrossConnects- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
CrossConnectResponse
-
search
Description copied from interface:CrossConnectsSearch Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).The API provides capability to get list of user's Cross Connects using search criteria, including optional filtering, pagination and sorting.
- Specified by:
searchin interfaceCrossConnects- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
CrossConnectResponse
-
search
Description copied from interface:CrossConnectsSearch Cross Connects:POST /fabric/v4/crossConnects/search(operationsearchCrossConnects).The API provides capability to get list of user's Cross Connects using search criteria, including optional filtering, pagination and sorting.
- Specified by:
searchin interfaceCrossConnects- Returns:
- a lazily paged list of
CrossConnectResponse
-
getByUuid
Description copied from interface:CrossConnectsGet Cross Connect:GET /fabric/v4/crossConnects/{crossConnectId}(operationgetCrossConnectByUuid).The API provides capability to get Cross Connect details by Cross Connect ID.
- Specified by:
getByUuidin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- the
CrossConnectResponsethe API returns
-
getSchedules
Description copied from interface:CrossConnectsGet Cross Connect Schedules:GET /fabric/v4/crossConnects/{crossConnectId}/schedules(operationgetCrossConnectSchedulesByUuid).The API provides capability to get the schedules of a Cross Connect by Cross Connect ID.
Unwraps the
SchedulesResponsedataenvelope (the spec documents no paging for it).- Specified by:
getSchedulesin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- the
CrossConnectScheduleResponseentries (empty when none)
-
getServices
Description copied from interface:CrossConnectsGet Cross Connect Services:GET /fabric/v4/crossConnects/{crossConnectId}/services(operationgetCrossConnectServicesByUuid).The API provides capability to get the services ordered alongside a Cross Connect by Cross Connect ID.
Unwraps the
CrossConnectServicesResponsedataenvelope (the spec documents no paging for it).- Specified by:
getServicesin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- the
CrossConnectServiceResponseentries (empty when none)
-
getAttachments
Description copied from interface:CrossConnectsGet Cross Connect Attachments:GET /fabric/v4/crossConnects/{crossConnectId}/attachments(operationgetCrossConnectAttachmentsByUuid).The API provides capability to get the documents attached to a Cross Connect by Cross Connect ID.
Unwraps the
CrossConnectAttachmentsResponsedataenvelope (the spec documents no paging for it).- Specified by:
getAttachmentsin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- the
CrossConnectAttachmentResponseentries (empty when none)
-
listNotes
Description copied from interface:CrossConnectsGet Cross Connect Notes:GET /fabric/v4/crossConnects/{crossConnectId}/notes(operationgetCrossConnectNotesByUuid).The API provides capability to get the notes added to a Cross Connect by Cross Connect ID.
Paged with
offset/limit.- Specified by:
listNotesin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- a lazily paged list of
CrossConnectNoteResponse
-
performAction
public CrossConnectActionResponse performAction(String crossConnectId, CrossConnectActionRequest request) Description copied from interface:CrossConnectsCross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions(operationperformCrossConnectAction).The API provides capability to perform an action on a Cross Connect that is in the PENDING_ACTION state. The applicable action types are listed in the allowedActions of the Cross Connect.
- Specified by:
performActionin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameterrequest- theCrossConnectActionRequestrequest body- Returns:
- the
CrossConnectActionResponsethe API returns
-
getAction
Description copied from interface:CrossConnectsGet Cross Connect Action by Action ID:GET /fabric/v4/crossConnects/{crossConnectId}/actions/{actionId}(operationgetCrossConnectActionByUuid).The API provides capability to fetch Cross Connect action details by Action ID.
- Specified by:
getActionin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameteractionId- theactionIdpath parameter- Returns:
- the
CrossConnectActionResponsethe API returns
-
searchActions
public PaginatedFilteredList<CrossConnectActionResponse> searchActions(String crossConnectId, FilterPropertyList filter, SortPropertyList sort) Description copied from interface:CrossConnectsSearch Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).The API provides capability to get list of Cross Connect Actions using search criteria, including optional filtering, pagination and sorting.
Filter properties named by the spec:
/state,/type,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime.- Specified by:
searchActionsin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameterfilter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
CrossConnectActionResponse
-
searchActions
public PaginatedFilteredList<CrossConnectActionResponse> searchActions(String crossConnectId, FilterPropertyList filter) Description copied from interface:CrossConnectsSearch Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).The API provides capability to get list of Cross Connect Actions using search criteria, including optional filtering, pagination and sorting.
- Specified by:
searchActionsin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameterfilter- the filter (nullfor none)- Returns:
- a lazily paged list of
CrossConnectActionResponse
-
searchActions
Description copied from interface:CrossConnectsSearch Cross Connect Actions:POST /fabric/v4/crossConnects/{crossConnectId}/actions/search(operationsearchCrossConnectAction).The API provides capability to get list of Cross Connect Actions using search criteria, including optional filtering, pagination and sorting.
- Specified by:
searchActionsin interfaceCrossConnects- Parameters:
crossConnectId- thecrossConnectIdpath parameter- Returns:
- a lazily paged list of
CrossConnectActionResponse
-
searchSchedules
public PaginatedFilteredList<CrossConnectScheduleAvailability> searchSchedules(FilterPropertyList filter, SortPropertyList sort) Description copied from interface:CrossConnectsSearch Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).The API provides capability to search the Cross Connect schedule windows offered at an IBX, including optional filtering, pagination and sorting.
Filter properties named by the spec:
/aSide/location/ibxCode,/code,/type,/zSide/location/ibxCode.Sort properties named by the spec:
/code,/endDateTime,/startDateTime.- Specified by:
searchSchedulesin interfaceCrossConnects- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
CrossConnectScheduleAvailability
-
searchSchedules
public PaginatedFilteredList<CrossConnectScheduleAvailability> searchSchedules(FilterPropertyList filter) Description copied from interface:CrossConnectsSearch Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).The API provides capability to search the Cross Connect schedule windows offered at an IBX, including optional filtering, pagination and sorting.
- Specified by:
searchSchedulesin interfaceCrossConnects- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
CrossConnectScheduleAvailability
-
searchSchedules
Description copied from interface:CrossConnectsSearch Cross Connect Schedules:POST /fabric/v4/crossConnectSchedules/search(operationsearchCrossConnectSchedules).The API provides capability to search the Cross Connect schedule windows offered at an IBX, including optional filtering, pagination and sorting.
- Specified by:
searchSchedulesin interfaceCrossConnects- Returns:
- a lazily paged list of
CrossConnectScheduleAvailability
-